<?php
namespace Claromentis\People\Subscriber;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_104d2e65fd" . "6a12ea47809" . "e779894b517" => base64_decode("T25EZWxldGVVc2" . "Vy"), "_45ed8675ea7eada7f4efaa" . "f62cef70c3" => base64_decode("T25VcGRh" . "dGVVc2Vy"), "_a889687d4f2e7eed7a091d" . "d1abe903aa" => base64_decode("T25DcmVhdGVVc2V" . "y"));
use Claromentis\Core\Event\EventSubscriberInterface;
use Claromentis\People\Event\AddUserEvent;
use Claromentis\People\Event\DeleteUserEvent;
use Claromentis\People\Event\PeopleEventType;
use Claromentis\People\Event\UpdateUserEvent;
use Claromentis\Search\Indexing\IndexingQueue;
use Claromentis\Search\ItemType\Indexing;




class SearchSubscriber implements EventSubscriberInterface
{
    public static function getSubscribedEvents()
    {
        return [PeopleEventType::ADD_USER => $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_a889687d4f2e7eed7a091dd1ab" . "e903aa"], PeopleEventType::UPDATE_USER => $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_45ed8675ea7eada7f4efaaf62cef70" . "c3"], PeopleEventType::DELETE_USER => $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_104d2e65fd6a12ea47809e779894b" . "517"]];
    }
    public function OnCreateUser(AddUserEvent $event)
    {
        $this->ReindexUser($event->GetUserId());
    }
    public function OnUpdateUser(UpdateUserEvent $event)
    {
        $this->ReindexUser($event->GetUserId());
    }
    public function OnDeleteUser(DeleteUserEvent $event)
    {
        $this->DeleteUserIndex($event->GetUserId());
    }
    protected function ReindexUser($user_id)
    {
        IndexingQueue::Reindex(Indexing\User::TYPE_NAME, $user_id);
    }
    protected function DeleteUserIndex($user_id)
    {
        IndexingQueue::DeleteIndex(Indexing\User::TYPE_NAME, $user_id);
    }
}